## libre 0.4.14

=== Makefile ===
#
# Makefile
#
# Copyright (C) 2010 Creytiv.com
#

# Master version number
VER_MAJOR := 0
VER_MINOR := 4
VER_PATCH := 14

PROJECT   := re
VERSION   := 0.4.14

MK	:= mk/re.mk

include $(MK)

# List of modules
MODULES += sip sipevent sipreg sipsess
MODULES += uri http httpauth msg websock
MODULES += stun turn ice
MODULES += natbd
MODULES += rtp sdp jbuf telev
MODULES += dns
MODULES += md5 crc32 sha hmac base64
MODULES += udp sa net tcp tls
MODULES += list mbuf hash
MODULES += fmt tmr main mem dbg sys lock mqueue
MODULES += mod conf
MODULES += bfcp
MODULES += aes srtp
MODULES += odict
MODULES += json

INSTALL := install
ifeq ($(DESTDIR),)
PREFIX  := /usr/local
else
PREFIX  := /usr
endif
ifeq ($(LIBDIR),)
LIBDIR  := $(PREFIX)/lib
endif
INCDIR  := $(PREFIX)/include/re
MKDIR   := $(PREFIX)/share/re
CFLAGS	+= -Iinclude

MODMKS	:= $(patsubst %,src/%/mod.mk,$(MODULES))
SHARED  := libre$(LIB_SUFFIX)
STATIC	:= libre.a

include $(MODMKS)


OBJS	?= $(patsubst %.c,$(BUILD)/%.o,$(SRCS))


all: $(SHARED) $(STATIC)


-include $(OBJS:.o=.d)


$(SHARED): $(OBJS)
	@echo "  LD      $@"
	@$(LD) $(LFLAGS) $(SH_LFLAGS) $^ $(LIBS) -o $@


$(STATIC): $(OBJS)
	@echo "  AR      $@"
	@$(AR) $(AFLAGS) $@ $^
ifneq ($(RANLIB),)
	@$(RANLIB) $@
endif

libre.pc:
	@echo 'prefix='$(PREFIX) > libre.pc
	@echo 'exec_prefix=$${prefix}' >> libre.pc
	@echo 'libdir=$${prefix}/lib' >> libre.pc
	@echo 'includedir=$${prefix}/include/re' >> libre.pc
	@echo '' >> libre.pc
	@echo 'Name: libre' >> libre.pc
	@echo 'Description: ' >> libre.pc
	@echo 'Version: '$(VERSION) >> libre.pc
	@echo 'URL: http://creytiv.com/re.html' >> libre.pc
	@echo 'Libs: -L$${libdir} -lre' >> libre.pc
	@echo 'Cflags: -I$${includedir}' >> libre.pc

$(BUILD)/%.o: src/%.c $(BUILD) Makefile $(MK) $(MODMKS)
	@echo "  CC      $@"
	@$(CC) $(CFLAGS) -c $< -o $@ $(DFLAGS)


$(BUILD): Makefile $(MK) $(MODMKS)
	@mkdir -p $(patsubst %,$(BUILD)/%,$(sort $(dir $(SRCS))))
	@touch $@


.PHONY: clean
clean:
	@rm -rf $(SHARED) $(STATIC) libre.pc test.d test.o test $(BUILD)


install: $(SHARED) $(STATIC) libre.pc
	@mkdir -p $(DESTDIR)$(LIBDIR) $(DESTDIR)$(LIBDIR)/pkgconfig \
		$(DESTDIR)$(INCDIR) $(DESTDIR)$(MKDIR)
	$(INSTALL) -m 0644 $(shell find include -name "*.h") \
		$(DESTDIR)$(INCDIR)
	$(INSTALL) -m 0755 $(SHARED) $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 0755 $(STATIC) $(DESTDIR)$(LIBDIR)
	$(INSTALL) -m 0644 libre.pc $(DESTDIR)$(LIBDIR)/pkgconfig
	$(INSTALL) -m 0644 $(MK) $(DESTDIR)$(MKDIR)

uninstall:
	@rm -rf $(DESTDIR)$(INCDIR)
	@rm -rf $(DESTDIR)$(MKDIR)
	@rm -f $(DESTDIR)$(LIBDIR)/$(SHARED)
	@rm -f $(DESTDIR)$(LIBDIR)/$(STATIC)
	@rm -f $(DESTDIR)$(LIBDIR)/pkgconfig/libre.pc

-include test.d

test.o:	test.c Makefile $(MK)
	@echo "  CC      $@"
	@$(CC) $(CFLAGS) -c $< -o $@ $(DFLAGS)

test$(BIN_SUFFIX): test.o $(SHARED) $(STATIC)
	@echo "  LD      $@"
	@$(LD) $(LFLAGS) $< -L. -lre $(LIBS) -o $@

sym:	$(SHARED)
	@nm $(SHARED) | grep " U " | perl -pe 's/\s*U\s+(.*)/$${1}/' \
		> docs/symbols.txt
	@echo "$(SHARED) is using `cat docs/symbols.txt | wc -l ` symbols"

=== debian/changelog ===
libre (0.4.14-4) unstable; urgency=medium

  * Team upload.
  
  [ Vasudev Kamath ]
  * Use pkg-kde-tools to generate symbol files.  Fixes FTBFS on i386
    architecture due to missing symbols.
  
  [ Ramakrishnan Muthukrishnan ]
  * debian/patch/0001-get-correct-multiarch-triplet.patch: patch the
  upstream makefile to set the right multiarch triplet.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Wed, 02 Dec 2015 23:10:40 +0530

libre (0.4.14-3) unstable; urgency=low

  [ Simon Josefsson ]
  * Fix Homepage URL.
  * Add Vcs-* fields.
  * Add Vasudev as uploader.

  [ Vasudev Kamath ]
  * Include re.mk in libre-dev, this will be needed by sibling packages
    like librem and baresip.
    Closes: bug#805767, Thanks to myself.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 22 Nov 2015 16:00:50 +0530

libre (0.4.14-2) unstable; urgency=low

  * Make team maintained.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 10 Nov 2015 14:55:49 +0100

libre (0.4.14-1) unstable; urgency=low

  * Initial release.  Closes: #636272.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 26 Oct 2015 21:54:45 +0100

=== debian/control ===
Source: libre
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Simon Josefsson <simon@josefsson.org>, Vasudev Kamath <vasudev@copyninja.info>, Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), libssl-dev, pkg-kde-tools
Homepage: http://www.creytiv.com/re
Vcs-Git: git://anonscm.debian.org/pkg-voip/libre.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-voip/libre.git

Package: libre0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Generic library for real-time communications with async IO support
 Libre is a portable and generic library for real-time communications
 with async IO support and a complete SIP stack with support for protocols
 such as SDP, RTP/RTCP, STUN/TURN/ICE, BFCP, HTTP and DNS Client.
 .
 The current features are:
 .
  SIP Stack (RFC 3261)
  SDP parser
  RTP and RTCP stack
  DNS-Client
  STUN/TURN/ICE stack
  BFCP
  Jitter-buffer
  Async I/O (poll, epoll, select)
  UDP/TCP/TLS transport
 .
 Design goals:
 .
  Portable POSIX source code (ANSI C89 and ISO C99 standard)
  Robust, fast, low memory footprint
  RFC compliance
  IPv4 and IPv6 support

Package: libre-dev
Architecture: any
Section: libdevel
Depends: libre0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Generic library for real-time communications (development files)
 Libre is a portable and generic library for real-time communications
 with async IO support and a complete SIP stack with support for protocols
 such as SDP, RTP/RTCP, STUN/TURN/ICE, BFCP, HTTP and DNS Client.
 .
 The current features are:
 .
  SIP Stack (RFC 3261)
  SDP parser
  RTP and RTCP stack
  DNS-Client
  STUN/TURN/ICE stack
  BFCP
  Jitter-buffer
  Async I/O (poll, epoll, select)
  UDP/TCP/TLS transport
 .
 Design goals:
 .
  Portable POSIX source code (ANSI C89 and ISO C99 standard)
  Robust, fast, low memory footprint
  RFC compliance
  IPv4 and IPv6 support
 .
 This package is only the library development files.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1

%:
	dh $@ --with pkgkde_symbolshelper --parallel

EXTRA_LFLAGS:="$(shell dpkg-buildflags --get LDFLAGS) -Wl,-soname,libre.so.0"
EXTRA_CFLAGS:="$(shell dpkg-buildflags --get CPPFLAGS)"

override_dh_auto_configure:
	sed -e 's,@\$$(CC),\$$(CC),' \
		-e 's,@\$$(LD),\$$(LD),' \
		-e 's,@\$$(AR),\$$(AR),' \
		-e 's,@rm -rf,rm -rf,' < Makefile > GNUmakefile

override_dh_auto_build:
	dh_auto_build -- info all \
		RELEASE=1 \
		USE_OPENSSL=1 \
		EXTRA_LFLAGS=$(EXTRA_LFLAGS) \
		EXTRA_CFLAGS=$(EXTRA_CFLAGS) \
		LIB_SUFFIX=.so.0

LIBDIR=/usr/lib/$(DEB_TARGET_MULTIARCH)

override_dh_auto_install:
	dh_auto_install -- \
		LIBDIR=$(LIBDIR) \
		LIB_SUFFIX=.so.0
	cd debian/tmp/$(LIBDIR) && \
		ln -s -f libre.so.0 libre.so
	sed -i "s,libdir=\$${prefix}/lib,libdir=\$${prefix}/lib/$(DEB_TARGET_MULTIARCH)," debian/tmp/$(LIBDIR)/pkgconfig/libre.pc

override_dh_auto_clean:
	make clean LIB_SUFFIX=.so.0
	rm -f GNUmakefile

override_dh_auto_test:

=== debian/watch ===
version=3
http://www.creytiv.com/pub/ re-(.*)\.tar\.gz

## libre 0.4.17

=== debian/changelog ===
libre (0.4.17-3) unstable; urgency=medium

  * Update symbol file for all architectures.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 27 Aug 2016 15:38:50 +0530

libre (0.4.17-2) unstable; urgency=medium

  * Fix watch file.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 10 Aug 2016 17:37:51 +0200

libre (0.4.17-1) unstable; urgency=medium

  [ Simon Josefsson ]
  * Imported Upstream version 0.4.17
  * Build with hardening=+all (lintian hardening-no-bindnow).
  * Add new symbols.

  [ Vasudev Kamath ]
  * Imported Upstream version 0.4.15
  * Imported Upstream version 0.4.16
  * debian/gbp.conf:
    + Filter debian folder from upstream while importing via gbp.
  * Update symbols file to make epoll_check symbol available on i386
    architecture also.
  * Bump watch file format to version 4.
  * debian/control:
    + Mark package as compliant to Debian Policy 3.9.8.
    + Use secure https URL for Vcs-Git and Vcs-Browser field.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 19 Jul 2016 11:29:44 +0200

## libre 0.5.0

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,11 @@
 
 # Master version number
 VER_MAJOR := 0
-VER_MINOR := 4
-VER_PATCH := 14
+VER_MINOR := 5
+VER_PATCH := 0
 
 PROJECT   := re
-VERSION   := 0.4.14
+VERSION   := 0.5.0
 
 MK	:= mk/re.mk

=== debian/changelog ===
libre (0.5.0-3) unstable; urgency=medium

  * Update patch 1001 for to fix kFreeBSD FTBFS.
    Closes: bug#804738, Thanks to Aaron M Ucko.
  * Mark epoll_base as specific to only linux
  * Upload to unstable.

 -- Vasudev Kamath <vasudev@copyninja.info>  Wed, 28 Dec 2016 21:19:02 +0530

libre (0.5.0-2) experimental; urgency=medium

  [ Jonas Smedegaard ]
  * Update copyright info: Add alternate git source URL.

  [ Vasudev Kamath ]
  * Add support for building on Hurd and kFreeBSD

 -- Vasudev Kamath <vasudev@copyninja.info>  Wed, 28 Dec 2016 17:42:50 +0530

libre (0.5.0-1) unstable; urgency=medium

  * Import new upstream version 0.5.0
    + Remove support for Symbian OS
    + Add support for OpenSSL 1.1.0 in various modules.
    + Add udp_helper_find
  * Drop patch 000_re-openssl-1.1.0, already integrated in upstream
    release.
  * Update symbols file for 0.5.0 release.
  * Drop README from debian/docs file.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 10 Dec 2016 10:12:05 +0530

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Simon Josefsson <simon@josefsson.org>, Vasudev Kamath <vasudev@copyninja.info>, Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), libssl-dev, pkg-kde-tools
 Homepage: http://www.creytiv.com/re
-Vcs-Git: git://anonscm.debian.org/pkg-voip/libre.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-voip/libre.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-voip/libre.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/libre.git
 
 Package: libre0
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DH_VERBOSE = 1

=== debian/watch ===
version=3
http://www.creytiv.com/pub/ re-([0-9.]*)\.tar\.gz

## libre 0.5.4

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 # Master version number
 VER_MAJOR := 0
 VER_MINOR := 5
-VER_PATCH := 0
+VER_PATCH := 4
 
 PROJECT   := re
-VERSION   := 0.5.0
+VERSION   := 0.5.4
 
 MK	:= mk/re.mk
 
@@ -35,9 +35,9 @@
 
 INSTALL := install
 ifeq ($(DESTDIR),)
-PREFIX  := /usr/local
+PREFIX  ?= /usr/local
 else
-PREFIX  := /usr
+PREFIX  ?= /usr
 endif
 ifeq ($(LIBDIR),)
 LIBDIR  := $(PREFIX)/lib
@@ -85,6 +85,7 @@
 	@echo 'Version: '$(VERSION) >> libre.pc
 	@echo 'URL: http://creytiv.com/re.html' >> libre.pc
 	@echo 'Libs: -L$${libdir} -lre' >> libre.pc
+	@echo 'Libs.private: -L$${libdir} -lre ${LIBS}' >> libre.pc
 	@echo 'Cflags: -I$${includedir}' >> libre.pc
 
 $(BUILD)/%.o: src/%.c $(BUILD) Makefile $(MK) $(MODMKS)

=== debian/changelog ===
libre (0.5.4-3ubuntu1) artful; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Refresh symbols due to differences in openssl used.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 04 Jul 2017 09:21:42 +0530

libre (0.5.4-3) unstable; urgency=medium

  * Update symbols: Drop _all_ exceptions for alpha and ppc64.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Jul 2017 14:29:09 +0200

libre (0.5.4-2) unstable; urgency=medium

  * Update symbols: Stop exclude 1 symbol for alpha and ppc64.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Jul 2017 13:31:06 +0200

libre (0.5.4-1) unstable; urgency=medium

  [ upstream ]
  * New release:
    + Add rtp extension bit to the api.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 03 Jul 2017 11:54:31 +0200

libre (0.5.3-2ubuntu1) artful; urgency=medium

  * Refresh symbols to fix FTBFS caused by building against a different
    openssl than Debian (LP: #1699430).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 22 Jun 2017 14:57:14 -0500

libre (0.5.3-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.0.0.
  * Update symbols: 16 added/updated.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 19 Jun 2017 20:11:53 +0200

libre (0.5.3-1) experimental; urgency=medium

  [ upstream ]
  * New release(s):
    + Handle Debian/kFreeBSD and Hurd.
    + Make enum ice_role type public.
    + Fix build for Solaris 11.
    + Use unsigned for srtcp encrypted bit.
    + Add tls_openssl_context() accessor function.
    + Upgrade Windows project to VS2015.
    + Makefile improvements.
    + Remove session object "struct ice".
    + Make sampling rate for telephone events configurable.

  [ Jonas Smedegaard ]
  * Add myself as uploader. Sort uploaders in control file.
  * Update copyright info:
    + Update alternate git source URL.
    + Add Github issue tracker as preferred upstream contact.
    + Tidy and sort copyright holders.
    + Use License sections, wrapped at 72 chars.
    + Extend coverage for main upstream author.
  * Have git-buildpackage filter any .git* file.
  * Add copyright-check maintainer script to source.
  * Drop patch 1001 adopted upstream.
  * Tidy patch 0001 to use DEP3 header.
  * Git-ignore quilt .pc dir.
  * Relax symbols check when targeting experimental.
  * Remove Ramakrishnan Muthukrishnan as uploader.
    Thanks for your contributions, Ramakrishnan!
    Closes: Bug#859283. Thanks to Mattia Rizzolo.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 May 2017 15:23:08 +0200

libre (0.5.1-1) experimental; urgency=medium

  * New upstream version 0.5.1

 -- Vasudev Kamath <vasudev@copyninja.info>  Sun, 12 Mar 2017 17:25:55 +0530

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: libre
 Section: comm
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Simon Josefsson <simon@josefsson.org>, Vasudev Kamath <vasudev@copyninja.info>, Ramakrishnan Muthukrishnan <rkrishnan@debian.org>
-Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Uploaders: Jonas Smedegaard <dr@jones.dk>,
+ Simon Josefsson <simon@josefsson.org>,
+ Vasudev Kamath <vasudev@copyninja.info>
+Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 9), libssl-dev, pkg-kde-tools
 Homepage: http://www.creytiv.com/re
 Vcs-Git: https://anonscm.debian.org/git/pkg-voip/libre.git

## libre 0.5.5

=== debian/changelog ===
libre (0.5.5-1) unstable; urgency=medium

  [ upstream ]
  * New release:
    + Project URL: <https://github.com/creytiv/re>.
    + ice: move gathering to application.
    + mod: add accessor function to module list.
    + sipreg: Added function sipreg_laddr().
    + sys: optimize rand_str() and rand_char().

  [ Jonas Smedegaard ]
  * Advertise DEP3 format in patch headers.
  * Declare compliance with Debian Policy 4.1.0.
  * Update copyright info: Use https protocol in file format URL.
  * Update symbols.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Sep 2017 01:35:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libre
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Simon Josefsson <simon@josefsson.org>,
  Vasudev Kamath <vasudev@copyninja.info>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Build-Depends: debhelper (>= 9), libssl-dev, pkg-kde-tools
 Homepage: http://www.creytiv.com/re
 Vcs-Git: https://anonscm.debian.org/git/pkg-voip/libre.git

## libre 0.5.6

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 # Master version number
 VER_MAJOR := 0
 VER_MINOR := 5
-VER_PATCH := 4
+VER_PATCH := 6
 
 PROJECT   := re
-VERSION   := 0.5.4
+VERSION   := 0.5.6
 
 MK	:= mk/re.mk

=== debian/changelog ===
libre (0.5.6-1ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:50:44 +0000

libre (0.5.6-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Refresh symbols due to differences in openssl used.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 04 Jan 2018 09:49:43 -0800

libre (0.5.6-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump watch file to format 4.
    + Add usage comment.
    + Use patterns for version and suffix.
  * Declare compliance with Debian Policy 4.1.1.
  * Modernize Vcs-* fields: Use git (not cgit) in path.
  * Update copyright info: License my contributions as GPL-3+.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#s786450.
  * Update symbols: 6 added, 2 dropped.
  * Add lintian overrides regarding GPL linked with OpenSSL: Packaging
    is not linked with upstream code.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Dec 2017 20:55:42 +0100

libre (0.5.5-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Refresh symbols due to differences in openssl used.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 04 Nov 2017 23:43:41 -0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: libre
 Section: comm
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Simon Josefsson <simon@josefsson.org>,
  Vasudev Kamath <vasudev@copyninja.info>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 9), libssl-dev, pkg-kde-tools
 Homepage: http://www.creytiv.com/re
 Vcs-Git: https://anonscm.debian.org/git/pkg-voip/libre.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/libre.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/libre.git
 
 Package: libre0
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 
 EXTRA_LFLAGS:="$(shell dpkg-buildflags --get LDFLAGS) -Wl,-soname,libre.so.0"
 EXTRA_CFLAGS:="$(shell dpkg-buildflags --get CPPFLAGS)"
+
+# relax symbols check when targeting experimental
+EXP_RELEASE = $(filter experimental% UNRELEASED,\
+ $(shell dpkg-parsechangelog | grep -Po '^Distribution: \K.*'))
+export DPKG_GENSYMBOLS_CHECK_LEVEL=$(if $(EXP_RELEASE),0,1)
 
 override_dh_auto_configure:
 	sed -e 's,@\$$(CC),\$$(CC),' \

## libre 0.5.8

=== Makefile ===
--- 
+++ 
@@ -7,10 +7,10 @@
 # Master version number
 VER_MAJOR := 0
 VER_MINOR := 5
-VER_PATCH := 6
+VER_PATCH := 8
 
 PROJECT   := re
-VERSION   := 0.5.6
+VERSION   := 0.5.8
 
 MK	:= mk/re.mk

=== debian/changelog ===
libre (0.5.8-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Declare compliance with Debian Policy 4.1.4.
  * Update Vcs-* fields: Source hosted at Salsa.debian.org now.
  * Fix Homepage URL.
  * Update symbols: 4 added.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 May 2018 14:09:31 +0200

libre (0.5.7-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage for main upstream authors.
  * Update symbols: 1 added, 2 removed.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Feb 2018 21:06:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: libre
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>,
  Simon Josefsson <simon@josefsson.org>,
  Vasudev Kamath <vasudev@copyninja.info>
-Standards-Version: 4.1.1
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 9), libssl-dev, pkg-kde-tools
-Homepage: http://www.creytiv.com/re
-Vcs-Git: https://anonscm.debian.org/git/pkg-voip/libre.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-voip/libre.git
+Homepage: http://www.creytiv.com/re.html
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/libre.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libre
 
 Package: libre0
 Architecture: any

## libre 0.6.0

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,11 @@
 
 # Master version number
 VER_MAJOR := 0
-VER_MINOR := 5
-VER_PATCH := 8
+VER_MINOR := 6
+VER_PATCH := 0
 
 PROJECT   := re
-VERSION   := 0.5.8
+VERSION   := $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)
 
 MK	:= mk/re.mk
 
@@ -32,6 +32,7 @@
 MODULES += aes srtp
 MODULES += odict
 MODULES += json
+MODULES += rtmp
 
 INSTALL := install
 ifeq ($(DESTDIR),)

=== debian/changelog ===
libre (0.6.0-4) unstable; urgency=medium

  * Fix FTCBFS: Pass CC for all targets.
    Closes: Bug#932921. Thanks to Helmut Grohne.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 24 Jul 2019 20:23:37 -0300

libre (0.6.0-3) unstable; urgency=medium

  * Drop Simon Josefsson as uploader by his request.
    Thanks for your past contributions.
  * Declare compliance with Debian Policy 4.4.0.
  * Use debhelper compatibility level 10 (not 9).
    Stop explicitly add option --parallel.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 21 Jul 2019 21:01:00 -0300

libre (0.6.0-2) unstable; urgency=medium

  * Add patches cherry-picked upstream to fix rtmp issues.
  * Unfuzz patches.
  * Declare compliance with Debian Policy 4.3.0.
  * Relax to build-depend unversioned on debhelper:
    Needed version satisfied even in oldstable.
  * Update copyright info: Extend coverage of packaging.
  * Update symbols: 1 added.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Jan 2019 03:13:23 +0100

libre (0.6.0-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Wrap and sort control file, and debhelper install hints.
  * Update long descriptions based on upstream README.
    Fix lower-case initial letter in short descriptions.
  * Update symbols: 45 symbols added.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Nov 2018 22:06:47 +0100

libre (0.5.9-2) unstable; urgency=medium

  * Update patches:
    + Add patches 1001 1002 1003 to properly do multiarch and no sysroot
      (replacing patch 0001).
      Closes: Bug#911358. Thanks to Helmut Grohne.
    + Document patch numbering micro-policy in source.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Oct 2018 09:36:31 +0200

libre (0.5.9-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Set Rules-Requires-Root: no.
  * Declare compliance with Debian Policy 4.2.1.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Oct 2018 08:06:18 +0200

=== debian/control ===
Source: libre
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
 Vasudev Kamath <vasudev@copyninja.info>,
Standards-Version: 4.4.0
Build-Depends:
 debhelper,
 libssl-dev,
 pkg-kde-tools,
Homepage: http://www.creytiv.com/re.html
Vcs-Git: https://salsa.debian.org/pkg-voip-team/libre.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libre
Rules-Requires-Root: no

Package: libre0
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: generic library for real-time communications with async IO support
 Libre is a portable and generic library for real-time communications
 with async IO support and a complete SIP stack with support for protocols
 such as SDP, RTP/RTCP, STUN/TURN/ICE, BFCP, HTTP and DNS Client.
 .
 The current features are:
 .
  * SIP Stack (RFC 3261)
  * SDP
  * RTP and RTCP
  * SRTP and SRTCP (Secure RTP)
  * DNS-Client
  * STUN/TURN/ICE stack
  * BFCP
  * HTTP-stack with client/server
  * Websockets
  * Jitter-buffer
  * Async I/O (poll, epoll, select, kqueue)
  * UDP/TCP/TLS/DTLS transport
  * JSON parser
  * Real Time Messaging Protocol (RTMP)
 .
 Design goals:
 .
  Portable POSIX source code (ANSI C89 and ISO C99 standard)
  Robust, fast, low memory footprint
  RFC compliance
  IPv4 and IPv6 support

Package: libre-dev
Architecture: any
Section: libdevel
Depends:
 libre0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: generic library for real-time communications (development files)
 Libre is a portable and generic library for real-time communications
 with async IO support and a complete SIP stack with support for protocols
 such as SDP, RTP/RTCP, STUN/TURN/ICE, BFCP, HTTP and DNS Client.
 .
 The current features are:
 .
  * SIP Stack (RFC 3261)
  * SDP
  * RTP and RTCP
  * SRTP and SRTCP (Secure RTP)
  * DNS-Client
  * STUN/TURN/ICE stack
  * BFCP
  * HTTP-stack with client/server
  * Websockets
  * Jitter-buffer
  * Async I/O (poll, epoll, select, kqueue)
  * UDP/TCP/TLS/DTLS transport
  * JSON parser
  * Real Time Messaging Protocol (RTMP)
 .
 Design goals:
 .
  Portable POSIX source code (ANSI C89 and ISO C99 standard)
  Robust, fast, low memory footprint
  RFC compliance
  IPv4 and IPv6 support
 .
 This package provides development headers.

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,14 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/buildtools.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export CC
 
 DH_VERBOSE = 1
 
 %:
-	dh $@ --with pkgkde_symbolshelper --parallel
+	dh $@ --with pkgkde_symbolshelper
 
 EXTRA_LFLAGS:="$(shell dpkg-buildflags --get LDFLAGS) -Wl,-soname,libre.so.0"
 EXTRA_CFLAGS:="$(shell dpkg-buildflags --get CPPFLAGS)"

## libre 0.6.1

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Master version number
 VER_MAJOR := 0
 VER_MINOR := 6
-VER_PATCH := 0
+VER_PATCH := 1
 
 PROJECT   := re
 VERSION   := $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)
@@ -78,7 +78,7 @@
 libre.pc:
 	@echo 'prefix='$(PREFIX) > libre.pc
 	@echo 'exec_prefix=$${prefix}' >> libre.pc
-	@echo 'libdir=$${prefix}/lib' >> libre.pc
+	@echo 'libdir=$(LIBDIR)' >> libre.pc
 	@echo 'includedir=$${prefix}/include/re' >> libre.pc
 	@echo '' >> libre.pc
 	@echo 'Name: libre' >> libre.pc

=== debian/changelog ===
libre (0.6.1-1) unstable; urgency=medium

  [ upstream ]
  * New release

  [ Jonas Smedegaard ]
  * use debhelper compatibility level 12 (not 9);
    build-depend on debhelper-compat (not debhelper)
  * declare compliance with Debian Policy 4.5.0
  * mention support for RTMPS in long description
  * watch: rewrite usage comment
  * drop patches chrry-picked upstream now applied
  * unfuzz patches
  * mark binary packages Multi-Arch: same
  * copyright: update coverage
  * build-depend on zlib1g-dev
  * update symbols: 2 added; 2 dropped

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Jun 2020 12:13:57 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Vasudev Kamath <vasudev@copyninja.info>,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Build-Depends:
- debhelper,
+ debhelper-compat (= 12),
  libssl-dev,
  pkg-kde-tools,
+ zlib1g-dev,
 Homepage: http://www.creytiv.com/re.html
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/libre.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libre
@@ -17,6 +18,7 @@
 
 Package: libre0
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends:
  ${misc:Depends},
@@ -41,7 +43,7 @@
   * Async I/O (poll, epoll, select, kqueue)
   * UDP/TCP/TLS/DTLS transport
   * JSON parser
-  * Real Time Messaging Protocol (RTMP)
+  * RTMP and RTMPS (Real Time Messaging Protocol)
  .
  Design goals:
  .
@@ -52,6 +54,7 @@
 
 Package: libre-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends:
  libre0 (= ${binary:Version}),
@@ -77,7 +80,7 @@
   * Async I/O (poll, epoll, select, kqueue)
   * UDP/TCP/TLS/DTLS transport
   * JSON parser
-  * Real Time Messaging Protocol (RTMP)
+  * RTMP and RTMPS (Real Time Messaging Protocol)
  .
  Design goals:
  .

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 export CC
 
 DH_VERBOSE = 1
-
-%:
-	dh $@ --with pkgkde_symbolshelper
 
 EXTRA_LFLAGS:="$(shell dpkg-buildflags --get LDFLAGS) -Wl,-soname,libre.so.0"
 EXTRA_CFLAGS:="$(shell dpkg-buildflags --get CPPFLAGS)"
@@ -47,3 +44,6 @@
 	rm -f GNUmakefile
 
 override_dh_auto_test:
+
+%:
+	dh $@ --with pkgkde_symbolshelper

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

http://www.creytiv.com/pub/re@ANY_VERSION@@ARCHIVE_EXT@

## libre 1.1.0

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,9 @@
 #
 
 # Master version number
-VER_MAJOR := 0
-VER_MINOR := 6
-VER_PATCH := 1
+VER_MAJOR := 1
+VER_MINOR := 1
+VER_PATCH := 0
 
 PROJECT   := re
 VERSION   := $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)

=== mk/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.2)

project(re)
set(CMAKE_VERBOSE_MAKEFILE ON)

SET(RE_ROOT ${PROJECT_SOURCE_DIR}/..)
SET(RE_SRC_PREFIX ../src)

# include header files for the IDEs
file(GLOB_RECURSE HEADER_FILES src/*.h include/*.h)

if(UNIX)
	# get make db and extract information via regex's
	execute_process(COMMAND make --no-print-directory --just-print --print-data-base info OUTPUT_VARIABLE RE_MAKEDB OUTPUT_STRIP_TRAILING_WHITESPACE WORKING_DIRECTORY ${RE_ROOT})

	# get list of source files in SRCS = ...
	STRING(REGEX MATCH "[\n\r]SRCS = ([^\n\r]+)" RE_SRCS "${RE_MAKEDB}")
	STRING(REGEX REPLACE "[\n\r]SRCS = " "" RE_SRCS "${RE_SRCS}")
	# convert into list and prefix every element with 'src/'
	SET(RE_SRCS "${RE_SRC_PREFIX}/${RE_SRCS}")
	STRING(REPLACE " " ";${RE_SRC_PREFIX}/" RE_SRCS ${RE_SRCS})

	# get CFLAGS
	STRING(REGEX MATCH "[\n\r]CFLAGS = ([^\n\r]+)" RE_CFLAGS "${RE_MAKEDB}")
	STRING(REGEX REPLACE "[\n\r]CFLAGS = " "" RE_CFLAGS "${RE_CFLAGS}")
	# remove anything that is not a macro define
	STRING(REGEX REPLACE "-[^D][^ ]*" "" RE_CFLAGS "${RE_CFLAGS}" )

	# get EXTRA_CFLAGS
	STRING(REGEX MATCH "[\n\r]EXTRA_CFLAGS := ([^\n\r]+)" RE_EXTRA_CFLAGS "${RE_MAKEDB}")
	STRING(REGEX REPLACE "[\n\r]EXTRA_CFLAGS := " "" RE_EXTRA_CFLAGS "${RE_EXTRA_CFLAGS}")
	if (RE_EXTRA_CFLAGS)
		# not tested
		STRING(REGEX REPLACE "\\$\\(EXTRA_CFLAGS\\)" ${RE_EXTRA_CFLAGS} RE_CFLAGS "${RE_CFLAGS}")
	else()
		STRING(REGEX REPLACE "\\$\\(EXTRA_CFLAGS\\)" "" RE_CFLAGS "${RE_CFLAGS}")
	endif()

	# get OS
	STRING(REGEX MATCH "[\n\r]OS := ([^\n\r]+)" RE_OS "${RE_MAKEDB}")
	STRING(REGEX REPLACE "[\n\r]OS := " "" RE_OS "${RE_OS}")
	STRING(REGEX REPLACE "\\$\\(OS\\)" ${RE_OS} RE_CFLAGS "${RE_CFLAGS}")

	# get VERSION
	STRING(REGEX MATCH "[\n\r]VERSION := ([^\n\r]+)" RE_VERSION "${RE_MAKEDB}")
	STRING(REGEX REPLACE "[\n\r]VERSION := " "" RE_VERSION "${RE_VERSION}")
	STRING(REGEX REPLACE "\\$\\(VERSION\\)" ${RE_VERSION} RE_CFLAGS "${RE_CFLAGS}")

	# get ARCH
	STRING(REGEX MATCH "[\n\r]ARCH := ([^\n\r]+)" RE_ARCH "${RE_MAKEDB}")
	STRING(REGEX REPLACE "[\n\r]ARCH := " "" RE_ARCH "${RE_ARCH}")
	STRING(REGEX REPLACE "\\$\\(ARCH\\)" ${RE_ARCH} RE_CFLAGS "${RE_CFLAGS}")

	# escaping '\': makefiles do need it, but it breaks xcode - not sure who's "right"
	if (CMAKE_GENERATOR MATCHES Xcode)
		STRING(REGEX REPLACE "\\\\" "" RE_CFLAGS "${RE_CFLAGS}" )
	endif()

	if (APPLE)
		LIST(APPEND RE_SRCS "${RE_SRC_PREFIX}/lock/rwlock.c")
		
		# get MacOSX version
		execute_process(COMMAND /usr/bin/sw_vers -productVersion
			OUTPUT_VARIABLE MACOSX_VERSION
			ERROR_VARIABLE MACOSX_VERSION_errors
			RESULT_VARIABLE MACOSX_VERSION_result
		OUTPUT_STRIP_TRAILING_WHITESPACE)
		
		# build universal binaries
		set(CMAKE_OSX_ARCHITECTURES "x86_64;i386")
		
		if (${MACOSX_VERSION} VERSION_LESS 10.9)
		  foreach(FLAGS CMAKE_C_FLAGS CMAKE_CXX_FLAGS CMAKE_EXE_LINKER_FLAGS CMAKE_SHARED_LINKER_FLAGS CMAKE_MODULE_LINKER_FLAGS)
			    set(${FLAGS} "${${FLAGS}} -mmacosx-version-min=10.6 -stdlib=libstdc++")
		  endforeach()
		else()
		  foreach(FLAGS CMAKE_C_FLAGS CMAKE_CXX_FLAGS CMAKE_EXE_LINKER_FLAGS CMAKE_SHARED_LINKER_FLAGS CMAKE_MODULE_LINKER_FLAGS)
			    set(${FLAGS} "${${FLAGS}} -mmacosx-version-min=10.7 -stdlib=libc++")
		  endforeach()
		endif()
	endif()

	message("libre sources: ${RE_SRCS}")
	message("libre cflags: ${RE_CFLAGS}")
	message("libre extra_cflags: ${RE_EXTRA_CFLAGS}")
	message("libre OS: ${RE_OS}")
	message("libre arch: ${RE_ARCH}")
	message("libre version: ${RE_VERSION}")

elseif(WIN32)
	# hard-coded on Win32
	if(MSVC)
		SET(RE_CFLAGS
			"-DWIN32 -D_CONSOLE -D_CRT_SECURE_NO_DEPRECATE -DHAVE_SELECT -DHAVE_IO_H"
		)
	elseif(MINGW)
		SET(RE_CFLAGS
			"-DHAVE_STDBOOL_H -DHAVE_INET6 -DHAVE_SELECT -DHAVE_IO_H"
		)
		add_definitions(-Wall -D_WIN32_WINNT=0x0501)
	endif()
	# quotes get eaten in generator
	add_definitions(-DOS=\"win32\" -DWIN32 -DARCH=\"i386\" -DVERSION=\"0.3.0\")
	
	# on windows we cannot rely on make and have to do this by hand
	file(GLOB_RECURSE RE_SRCS RELATIVE ${PROJECT_SOURCE_DIR} ${RE_ROOT}/src/*.c)
	
	# remove files to compile depending on the compiler flags
	if (RE_CFLAGS MATCHES USE_ZLIB)
		LIST(REMOVE_ITEM RE_SRCS "${RE_SRC_PREFIX}/crc32/crc32.c")
	endif()

	if (NOT RE_CFLAGS MATCHES HAVE_PTHREAD_RWLOCK)
		LIST(REMOVE_ITEM RE_SRCS "${RE_SRC_PREFIX}/lock/rwlock.c")
	endif()

	if (NOT RE_CFLAGS MATCHES HAVE_GETIFADDRS)
		LIST(REMOVE_ITEM RE_SRCS "${RE_SRC_PREFIX}/net/ifaddrs.c")
	endif()
	
	if (NOT RE_CFLAGS MATCHES HAVE_EPOLL)
		LIST(REMOVE_ITEM RE_SRCS "${RE_SRC_PREFIX}/main/epoll.c")
	endif()
	
	if (NOT RE_CFLAGS MATCHES USE_OPENSSL)
		LIST(REMOVE_ITEM RE_SRCS "${RE_SRC_PREFIX}/tls/openssl/tls.c")
		LIST(REMOVE_ITEM RE_SRCS "${RE_SRC_PREFIX}/tls/openssl/tls_tcp.c")
	endif()
	
	if (NOT RE_CFLAGS MATCHES HAVE_PTHREAD)
		LIST(REMOVE_ITEM RE_SRCS "${RE_SRC_PREFIX}/lock/lock.c")
	endif()
	
	# remove files not to be comiled for win32 in any case
	LIST(REMOVE_ITEM RE_SRCS "${RE_SRC_PREFIX}/httpauth/basic.c")
	LIST(REMOVE_ITEM RE_SRCS "${RE_SRC_PREFIX}/mod/dl.c")
	LIST(REMOVE_ITEM RE_SRCS "${RE_SRC_PREFIX}/net/posix/pif.c")
	LIST(REMOVE_ITEM RE_SRCS "${RE_SRC_PREFIX}/net/linux/rt.c")
	LIST(REMOVE_ITEM RE_SRCS "${RE_SRC_PREFIX}/dns/res.c")
	LIST(REMOVE_ITEM RE_SRCS "${RE_SRC_PREFIX}/dns/darwin/srv.c")
	LIST(REMOVE_ITEM RE_SRCS "${RE_SRC_PREFIX}/net/bsd/brt.c")
	
endif()

include_directories(${RE_ROOT}/include)

add_library(re ${RE_SRCS} ${HEADER_FILES})

SET_TARGET_PROPERTIES(re PROPERTIES
	COMPILE_FLAGS ${RE_CFLAGS}
)

=== debian/changelog ===
libre (1.1.0-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:32:53 +0000

libre (1.1.0-1build3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:27:34 +0000

libre (1.1.0-1build2) mantic; urgency=medium

  * No-change rebuild against glibc 2.38-1ubuntu2

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 11 Aug 2023 12:50:48 +0200

libre (1.1.0-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 23 Nov 2021 17:58:17 +0100

libre (1.1.0-1) unstable; urgency=medium

  [ upstream ]
  * New release
    + dns: listen on IPv4 and IPv6 socket;
      closes: bug#971980, thanks to Kevin Otte

  [ Jonas Smedegaard ]
  * simplify build: stop set verbose debhelper output
  * update symbols: 11 symbols added

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Oct 2020 02:51:43 +0200

libre (1.0.0-1) unstable; urgency=medium

  [ upstream ]
  * New release

  [ Jonas Smedegaard ]
  * switch upstream source URLs to use baresip fork
  * simplify source script copyright-check
  * copyright: update coverage
  * unfuzz patches
  * update symbols:
    + 12 symbols added
    + 1 symbol dropped
    break older baresip-core using the dropped symbol

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2020 10:42:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libre
 Section: comm
 Priority: optional
-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Vasudev Kamath <vasudev@copyninja.info>,
@@ -23,6 +24,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ baresip-core (<< 1.0.0),
 Description: generic library for real-time communications with async IO support
  Libre is a portable and generic library for real-time communications
  with async IO support and a complete SIP stack with support for protocols

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export CC
-
-DH_VERBOSE = 1
 
 EXTRA_LFLAGS:="$(shell dpkg-buildflags --get LDFLAGS) -Wl,-soname,libre.so.0"
 EXTRA_CFLAGS:="$(shell dpkg-buildflags --get CPPFLAGS)"

## libre 2.0.1

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,18 @@
 # Copyright (C) 2010 Creytiv.com
 #
 
-# Master version number
-VER_MAJOR := 1
-VER_MINOR := 1
-VER_PATCH := 0
+# Main version number
+VER_MAJOR := 2
+VER_MINOR := 0
+VER_PATCH := 1
+
+# Libtool similar ABI versioning
+# https://github.com/baresip/re/wiki/ABI-Versioning
+ABI_CUR   := 1
+ABI_REV   := 1
+ABI_AGE   := 0
+
+ABI_MAJOR := $(shell expr $(ABI_CUR) - $(ABI_AGE))
 
 PROJECT   := re
 VERSION   := $(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)
@@ -26,7 +34,7 @@
 MODULES += md5 crc32 sha hmac base64
 MODULES += udp sa net tcp tls
 MODULES += list mbuf hash
-MODULES += fmt tmr main mem dbg sys lock mqueue
+MODULES += fmt tmr trace main mem dbg sys lock mqueue
 MODULES += mod conf
 MODULES += bfcp
 MODULES += aes srtp
@@ -47,9 +55,15 @@
 MKDIR   := $(PREFIX)/share/re
 CFLAGS	+= -Iinclude
 
-MODMKS	:= $(patsubst %,src/%/mod.mk,$(MODULES))
-SHARED  := libre$(LIB_SUFFIX)
-STATIC	:= libre.a
+MODMKS         := $(patsubst %,src/%/mod.mk,$(MODULES))
+SHARED         := libre$(LIB_SUFFIX)
+SHARED_SONAME  := $(SHARED).$(ABI_MAJOR)
+SHARED_FILE    := $(SHARED).$(ABI_MAJOR).$(ABI_AGE).$(ABI_REV)
+STATIC         := libre.a
+
+ifeq ($(OS),linux)
+SH_LFLAGS      += -Wl,-soname,$(SHARED_SONAME)
+endif
 
 include $(MODMKS)
 
@@ -109,7 +123,13 @@
 		$(DESTDIR)$(INCDIR) $(DESTDIR)$(MKDIR)
 	$(INSTALL) -m 0644 $(shell find include -name "*.h") \
 		$(DESTDIR)$(INCDIR)
+ifeq ($(OS),linux)
+	$(INSTALL) -m 0755 $(SHARED) $(DESTDIR)$(LIBDIR)/$(SHARED_FILE)
+	cd $(DESTDIR)$(LIBDIR) && ln -sf $(SHARED_FILE) $(SHARED) && \
+		ln -sf $(SHARED_FILE) $(SHARED_SONAME)
+else
 	$(INSTALL) -m 0755 $(SHARED) $(DESTDIR)$(LIBDIR)
+endif
 	$(INSTALL) -m 0755 $(STATIC) $(DESTDIR)$(LIBDIR)
 	$(INSTALL) -m 0644 libre.pc $(DESTDIR)$(LIBDIR)/pkgconfig
 	$(INSTALL) -m 0644 $(MK) $(DESTDIR)$(MKDIR)
@@ -118,6 +138,7 @@
 	@rm -rf $(DESTDIR)$(INCDIR)
 	@rm -rf $(DESTDIR)$(MKDIR)
 	@rm -f $(DESTDIR)$(LIBDIR)/$(SHARED)
+	@rm -f $(DESTDIR)$(LIBDIR)/$(SHARED_SONAME)
 	@rm -f $(DESTDIR)$(LIBDIR)/$(STATIC)
 	@rm -f $(DESTDIR)$(LIBDIR)/pkgconfig/libre.pc

=== debian/changelog ===
libre (2.0.1-3) unstable; urgency=medium

  * Team upload
  * Build with _GNU_SOURCE;
    closes: bug#1075201

 -- Bastian Germann <bage@debian.org>  Thu, 07 Nov 2024 20:06:08 +0000

libre (2.0.1-2) unstable; urgency=medium

  * Team upload.
  * Move to unstable.

 -- Bastian Germann <bage@debian.org>  Sun, 05 May 2024 18:14:16 +0000

libre (2.0.1-1) experimental; urgency=medium

  * update watch file:
    + mangle upstream exp/dev version hints
    + use dversionmange=auto
  * update copyright info:
    + use Reference field (not License-Reference)
    + update coverage
  * declare compliance with Debian Policy 4.6.0

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Dec 2021 20:09:28 +0100

libre (2.0.1-1~exp2) experimental; urgency=medium

  * fix provide binary package libre1
    (not libre0.1 caused by broken build routine leftovers);
    closes: bug#990848, thanks to Andreas Beckmann
  * rephrase previous changelog entry, thanks to Andreas Beckmann

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Jul 2021 11:47:45 +0200

libre (2.0.1-1~exp1) experimental; urgency=medium

  [ upstream ]
  * New release(s)

  [ Jonas Smedegaard ]
  * copyright info: update coverage
  * update and unfuzz patches
  * provide binary package libre0.1 (not libre0)
    to reflect SONAME change

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 26 Jun 2021 11:49:05 +0200

libre (1.1.0-2) experimental; urgency=medium

  * fix have libre-dev depend on zlib1g-dev;
    closes: bug#986539, thanks to Nicholas Brown
  * use debhelper compatibility level 13 (not 12)
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 07 Apr 2021 11:43:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,28 @@
 Source: libre
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
  Vasudev Kamath <vasudev@copyninja.info>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libssl-dev,
  pkg-kde-tools,
  zlib1g-dev,
-Homepage: http://www.creytiv.com/re.html
+Homepage: https://github.com/baresip/re
 Vcs-Git: https://salsa.debian.org/pkg-voip-team/libre.git
 Vcs-Browser: https://salsa.debian.org/pkg-voip-team/libre
 Rules-Requires-Root: no
 
-Package: libre0
+Package: libre1
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Breaks:
- baresip-core (<< 1.0.0),
 Description: generic library for real-time communications with async IO support
  Libre is a portable and generic library for real-time communications
  with async IO support and a complete SIP stack with support for protocols
@@ -60,7 +57,8 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libre0 (= ${binary:Version}),
+ libre1 (= ${binary:Version}),
+ zlib1g-dev,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: generic library for real-time communications (development files)

=== debian/rules ===
--- 
+++ 
@@ -5,8 +5,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export CC
 
-EXTRA_LFLAGS:="$(shell dpkg-buildflags --get LDFLAGS) -Wl,-soname,libre.so.0"
-EXTRA_CFLAGS:="$(shell dpkg-buildflags --get CPPFLAGS)"
+EXTRA_LFLAGS:="$(shell dpkg-buildflags --get LDFLAGS)"
+EXTRA_CFLAGS:="$(shell dpkg-buildflags --get CPPFLAGS) -D_GNU_SOURCE"
 
 # relax symbols check when targeting experimental
 EXP_RELEASE = $(filter experimental% UNRELEASED,\
@@ -24,21 +24,15 @@
 		RELEASE=1 \
 		USE_OPENSSL=1 \
 		EXTRA_LFLAGS=$(EXTRA_LFLAGS) \
-		EXTRA_CFLAGS=$(EXTRA_CFLAGS) \
-		LIB_SUFFIX=.so.0
+		EXTRA_CFLAGS=$(EXTRA_CFLAGS)
 
 LIBDIR=/usr/lib/$(DEB_TARGET_MULTIARCH)
 
 override_dh_auto_install:
-	dh_auto_install -- \
-		LIBDIR=$(LIBDIR) \
-		LIB_SUFFIX=.so.0
-	cd debian/tmp/$(LIBDIR) && \
-		ln -s -f libre.so.0 libre.so
+	dh_auto_install -- LIBDIR=$(LIBDIR)
 	sed -i "s,libdir=\$${prefix}/lib,libdir=\$${prefix}/lib/$(DEB_TARGET_MULTIARCH)," debian/tmp/$(LIBDIR)/pkgconfig/libre.pc
 
 override_dh_auto_clean:
-	make clean LIB_SUFFIX=.so.0
 	rm -f GNUmakefile
 
 override_dh_auto_test:

=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
mode=git,\
uversionmangle=s/-(?=dev|exp)/+/,\
dversionmangle=auto \
https://github.com/baresip/re.git refs/tags/@ANY_VERSION@
